---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libji03t004.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51B90, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53AD0, symBinAddr: 0x8110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53EC0, symBinAddr: 0x8500, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54E60, symBinAddr: 0x94A0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54E70, symBinAddr: 0x94B0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _allobj_calls, symObjAddr: 0x6C570, symBinAddr: 0x20BB0, symSize: 0x0 }
  - { offsetInCU: 0x7D3, offset: 0x7D3, size: 0x8, addend: 0x0, symName: _newobj_calls, symObjAddr: 0x6C574, symBinAddr: 0x20BB4, symSize: 0x0 }
  - { offsetInCU: 0x7E8, offset: 0x7E8, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51800, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7F3, offset: 0x7F3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51804, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7FE, offset: 0x7FE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51808, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x843, offset: 0x843, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51950, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x8BC, offset: 0x8BC, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51A08, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8DA, offset: 0x8DA, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x51A0C, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8F3, offset: 0x8F3, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51A10, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x90C, offset: 0x90C, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51A14, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x925, offset: 0x925, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51A18, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8F14, offset: 0x8F14, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51A20, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F9D, offset: 0x8F9D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51A38, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8FB6, offset: 0x8FB6, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51A40, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FCF, offset: 0x8FCF, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51A48, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FE8, offset: 0x8FE8, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51A50, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x9002, offset: 0x9002, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51A58, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90E8, offset: 0x90E8, size: 0x8, addend: 0x0, symName: __ZL7verbose, symObjAddr: 0x51A9C, symBinAddr: 0x61AC, symSize: 0x0 }
  - { offsetInCU: 0x9108, offset: 0x9108, size: 0x8, addend: 0x0, symName: __ZL18orig_jni_functions, symObjAddr: 0x51AA0, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x9121, offset: 0x9121, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51AA8, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x913A, offset: 0x913A, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51AB0, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x915A, offset: 0x915A, size: 0x8, addend: 0x0, symName: __ZL19redir_jni_functions, symObjAddr: 0x51AB8, symBinAddr: 0x61C8, symSize: 0x0 }
  - { offsetInCU: 0x91AC, offset: 0x91AC, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xC30, symSize: 0x80 }
  - { offsetInCU: 0x9241, offset: 0x9241, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xB80, symSize: 0xB0 }
  - { offsetInCU: 0x929C, offset: 0x929C, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xA80, symSize: 0x100 }
  - { offsetInCU: 0x952F, offset: 0x952F, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xCB0, symSize: 0x220 }
  - { offsetInCU: 0x9714, offset: 0x9714, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xED0, symSize: 0xA0 }
  - { offsetInCU: 0x97C7, offset: 0x97C7, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xF70, symSize: 0x110 }
  - { offsetInCU: 0x98BD, offset: 0x98BD, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1080, symSize: 0x150 }
  - { offsetInCU: 0x9A0E, offset: 0x9A0E, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x11D0, symSize: 0x30 }
  - { offsetInCU: 0x9A97, offset: 0x9A97, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1200, symSize: 0x150 }
  - { offsetInCU: 0x9C8F, offset: 0x9C8F, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1350, symSize: 0x160 }
  - { offsetInCU: 0x9E1B, offset: 0x9E1B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x14B0, symSize: 0x1B0 }
  - { offsetInCU: 0xA036, offset: 0xA036, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1660, symSize: 0xA0 }
  - { offsetInCU: 0xA105, offset: 0xA105, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1700, symSize: 0x20 }
  - { offsetInCU: 0xA13C, offset: 0xA13C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1720, symSize: 0x20 }
  - { offsetInCU: 0xA173, offset: 0xA173, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1740, symSize: 0x20 }
  - { offsetInCU: 0xA2E2, offset: 0xA2E2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1760, symSize: 0x1A0 }
  - { offsetInCU: 0xA600, offset: 0xA600, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1900, symSize: 0x80 }
  - { offsetInCU: 0xA6C9, offset: 0xA6C9, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1980, symSize: 0x6C0 }
  - { offsetInCU: 0xB23F, offset: 0xB23F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA6D0, symBinAddr: 0x2FE0, symSize: 0xB0 }
  - { offsetInCU: 0xB2B6, offset: 0xB2B6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2040, symSize: 0x70 }
  - { offsetInCU: 0xB352, offset: 0xB352, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x20B0, symSize: 0xA0 }
  - { offsetInCU: 0xB431, offset: 0xB431, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2150, symSize: 0x40 }
  - { offsetInCU: 0xB527, offset: 0xB527, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2190, symSize: 0x2B0 }
  - { offsetInCU: 0xB8CD, offset: 0xB8CD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2440, symSize: 0xC0 }
  - { offsetInCU: 0xBA13, offset: 0xBA13, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2500, symSize: 0x10 }
  - { offsetInCU: 0xBAD5, offset: 0xBAD5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2510, symSize: 0x240 }
  - { offsetInCU: 0xBDFC, offset: 0xBDFC, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2750, symSize: 0x90 }
  - { offsetInCU: 0xBEC8, offset: 0xBEC8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E30, symBinAddr: 0x27E0, symSize: 0x90 }
  - { offsetInCU: 0xBF94, offset: 0xBF94, size: 0x8, addend: 0x0, symName: _MyAllocObject, symObjAddr: 0x9EC0, symBinAddr: 0x2870, symSize: 0x50 }
  - { offsetInCU: 0xBFE4, offset: 0xBFE4, size: 0x8, addend: 0x0, symName: _MyNewObjectV, symObjAddr: 0x9F10, symBinAddr: 0x28C0, symSize: 0x60 }
  - { offsetInCU: 0xC09E, offset: 0xC09E, size: 0x8, addend: 0x0, symName: _doRedirect, symObjAddr: 0x9F70, symBinAddr: 0x2920, symSize: 0x1A0 }
  - { offsetInCU: 0xC2A4, offset: 0xC2A4, size: 0x8, addend: 0x0, symName: _doExec, symObjAddr: 0xA1B0, symBinAddr: 0x2AC0, symSize: 0x210 }
  - { offsetInCU: 0xC5A3, offset: 0xC5A3, size: 0x8, addend: 0x0, symName: _checkCall, symObjAddr: 0xA3C0, symBinAddr: 0x2CD0, symSize: 0x140 }
  - { offsetInCU: 0xC605, offset: 0xC605, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_jni_1interception_JI03_ji03t004_check, symObjAddr: 0xA500, symBinAddr: 0x2E10, symSize: 0x1D0 }
  - { offsetInCU: 0xC800, offset: 0xC800, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA780, symBinAddr: 0x3090, symSize: 0x36A }
...
